## basex 9.0.1+ds

=== debian/changelog ===
basex (9.0.1+ds-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 16:43:39 +0100

basex (9.0.1+ds-1) unstable; urgency=medium

  * New upstream release
    VERSION 9.0.1 (April 24, 2018) -----------------------------------------
    
     Critical bug fixes:
     - Storage: Short strings with extended Unicode characters fixed
     - XQuery: Nested path optimizations re-enabled (e.g. in functions)
     - XQuery: map:merge, size computation fixed
     - XQuery: node ordering across multiple database instances fixed
    
     Improvements:
     - GUI: Better Java 9 support (DPI scaling, font rendering)
     - XQuery, collections: faster document root tests
     - New R client. Thanks Ben Engbers!
     - Linux: exec command used in startup scripts
    
     Minor Bug fixes
     - XQuery: Allow interruption of tail-call function calls
     - XQuery, HTTP parsing of content-type parameters
     - XQuery, restrict rewriting of filter to path expression
     - GUI: progress feedback when creating databases via double-click

  [ Alexander Holupirek ]
  * Removed java9-compat.patch. Upstream builds clean now.

 -- Alexander Holupirek <alex@holupirek.de>  Tue, 24 Apr 2018 17:53:51 +0200

basex (9.0+ds-1) unstable; urgency=medium

  * New upstream release
    VERSION 9.0 (March 23, 2018) -------------------------------------------
     
     XQUERY
     - Comprehensive extensions in the internal XQuery optimizer framework
     - Dynamic hash joins rewritings of general comparisons
     - Register query jobs as persistent services
     - Process very large CSV files via the new CSV 'xquery' format
     - Update Module: higher-order functions for performing updates
     - Unified static typing, including maps, arrays and function items
     - COPYNODE: Lightweight copying of XML fragments
     - ENFORCEINDEX: Enforce rewriting for index access
     
     STORAGE
     - Improved database compression (short strings, whitespaces)
     
     WEB APPLICATIONS
     - Permissions layer: Unified definition of RESTXQ access patterns
     - RESTXQ: Full support for client- and server-side quality factors
     - REST: Run BaseX command scripts
     - Web server upgrade to Jetty 9
     
     REPOSITORIES
     - Combined packaging mechanism (XQuery and Java)
     - Java Packaging: Bundling of additional libraries
     
     DISTRIBUTIONS
     - Revised detection and configuration of BaseX home directory
     - Windows executable: better detection of Java libraries
     
     DBA: BASEX DATABASE ADMINISTRATION
     - Improved editing and evaluation of XQuery modules
     - Revised file, session and job management
     
     MINOR UPDATES
     - NEW: convert:binary-to-integers: return binary data as octets
     - NEW: db:option: return value of system option
     - NEW: fetch:xml-binary: retrieve XML from binary data
     - NEW: jobs:invoke: schedule job based on input file
     - NEW: out:cr: return carriage return
     - NEW: proc:fork: execute command in separate thread
     - NEW: prof:track: measure runtime and memory
     - NEW: util:replicate: return results multiple times
     - NEW: IGNOREHOSTNAME (certificates verification)
     - UPDATE: convert:integers-to-(base64|hex) renamed
     - UPDATE: file:read-text-lines: new $offset/$length arguments
     - UPDATE: fn:put: specify serialization parameters
     - UPDATE: http:send-request: support for compressed responses
     - UPDATE: proc:system, new input option: pass on stdin
     - UPDATE: prof:time, prof:memory: signatures updated
     - UPDATE: sql:execute(-prepared) returns update count
     - UPDATE: update:output(-cache) renamed; before: db:output(-cache)
     - UPDATE: web:response-header: status/message attributes
     - UPDATE: xquery:eval: new pass option (pass on error info)
     - UPDATE: xquery:eval-update renamed; before: xquery:update
     - UPDATE: xquery:parse(-uri): base-uri option added
     - UPDATE: xslt:transform(-text): cache XSLT transformer
     - UPDATE: JSON Module, 'xquery' format renamed; before: 'map'
     - UPDATE: Lazy Module renamed; before: Streaming Module
     - UPDATE: GUI: serialization parameters for result output
     - UPDATE: XQuery: numeric errors replaced with descriptive names
     - UPDATE: BaseXServer option -c accepts URLs and file references

  [ Alexander Holupirek ]
  * Add java9-compat.patch for build on Debian. Closes: #873210.
  * Minor updates to man pages.
  * Fixed error while accessing the VCS repository.
  * Adopted startup wrappers and debian/control to java8-runtime.
  * Removed (for debian package) superfluous upstream code (basexhttp, dba).

 -- Alexander Holupirek <alex@holupirek.de>  Fri, 30 Mar 2018 18:47:49 +0200
