=== debian/control ===
Source: basex
Section: database
Priority: optional
Maintainer: Alexander Holupirek <alex@holupirek.de>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 9), cdbs, default-jdk, maven-debian-helper (>= 1.5)
Build-Depends-Indep: libmaven-exec-plugin-java 
Standards-Version: 3.9.8
Vcs-Git: git://github.com/BaseXdb/basex-dist.git
Vcs-Browser: https://github.com/BaseXdb/basex-dist/tree/master/linux
Homepage: http://basex.org

Package: basex
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}, java-wrappers, default-jre | java8-runtime
Recommends: ${maven:OptionalDepends}, libjline2-java
Suggests: libtagsoup-java, libxml-commons-resolver1.1-java, libjing-java
Description: XML database and XPath/XQuery processor
 BaseX is a very fast and light-weight, yet powerful XML database and
 XPath/XQuery processor, including support for the latest W3C Full Text and
 Update Recommendations. It supports large XML instances and offers a highly
 interactive front-end (basexgui). Apart from two local standalone modes, BaseX
 offers a client/server architecture.
 .
 The package provides following commands:
  * basex  ..........  Standalone local XML database. Command line interface.
  * basexgui  .......  Standalone local XML database. Graphical user interface.
  * basexserver  ....  BaseX XML Database Server.
  * basexclient  ....  BaseX XML Database Client.
 BaseX XML database and XPath/XQuery processor
