## basex 9.7.2

=== debian/changelog ===
basex (9.7.2-1) unstable; urgency=medium

  * New upstream version 9.7.2
    VERSION 9.7.2 (May 14, 2022) -------------------------------------------
     - English Stemmer: dictionary for irregular forms added
     - Preview implementations of BaseX 10 features
     - Performance tweaks, minor fixes
  * Update debian/source/include-binaries
  * Tag remove-unused-source.patch as not forwarded

 -- tony mancill <tmancill@debian.org>  Mon, 30 May 2022 08:11:55 -0700

basex (9.7.1-1) unstable; urgency=medium

  * New upstream version 9.7.1
    VERSION 9.7.1 (April 26, 2022) -----------------------------------------

     - RESTXQ: improved caching for unmodified modules
     - GUI: improved support for middle mouse button
     - GUI, editor: list opened files (Ctrl-F6)
     - Backups: support for comments added
     - XQuery: inspect:functions: parse modules only once
     - XQuery: db:delete: Faster deletion of binary resources
     - XQuery: jobs:eval: handling of large job numbers revised
     - XQuery optimizations: rewrite value to general comparisons

 -- tony mancill <tmancill@debian.org>  Sun, 08 May 2022 08:12:59 -0700

basex (9.7-1) unstable; urgency=medium

  [ Alexander Holupirek ]
  * New upstream release.
    VERSION 9.7 (March 23, 2022) -------------------------------------------

     XQUERY
     - numerous performance tweaks and optimizations
     - support for formatting integers and dates in French
     - xslt:transform-report: support for xsl:messages
     - util:strip-namespaces: remove namespaces from elements
     - XSD validation: improved support for XML catalogs

    VERSION 9.6.4 (December 17, 2021) --------------------------------------

     - Performance tweaks, minor fixes

    VERSION 9.6.3 (October 21, 2021) ---------------------------------------

     - Minor fixes, Performance tweaks

    VERSION 9.6.2 (September 30, 2021) -------------------------------------

     - Performance tweaks, minor bug fixes

    VERSION 9.6.1 (August 26, 2021) ----------------------------------------

     - GUI bug fix, XQuery performance tweaks

    VERSION 9.6 (August 19, 2021) ------------------------------------------

     XQUERY: MODULES, FEATURES
     - Archive Module, archive:write: stream large archives to file
     - SQL Module: support for more SQL types
     - Full-Text Module, ft:thesaurus: perform Thesaurus queries
     - Fulltext, fuzzy search: specify Levenshtein limit
     - UNROLLLIMIT option: control limit for unrolling loops

     XQUERY: JAVA BINDINGS
     - Java objects of unknown type are wrapped into function items
     - results of constructor calls are returned as function items
     - the standard package java.lang. has become optional
     - array arguments can be specified with the middle dot notation
     - conversion can be controlled with the WRAPJAVA option
     - better support for XQuery arrays and maps

     WEB APPLICATIONS
     - RESTXQ: Server-Timing HTTP headers are attached to the response

    VERSION 9.5.2 (May 27, 2021) -------------------------------------------

     - Performance tweaks, minor bug fixes

    VERSION 9.5.1 (April 2, 2021) ------------------------------------------

     - Performance tweaks, minor bug fixes

    VERSION 9.5 (February 25, 2021) ----------------------------------------

     RESTXQ
     - the client IP address behind a proxy is added to the logs
     - stack traces in the error message can now be suppressed
     - the default error code has been changed from 400 to 500
     - error messages are more user-friendly now (#1708)
     - content negotiation was improved (#1991)
     - inline arguments of called function (#1982)

     XQUERY FUNCTIONS
     - Utility: new functions for sequences, arrays and maps
     - Higher-Order Functions: hof:drop-while
     - Jobs: More options for job intervals

     XQUERY PERFORMANCE
     - revised scoring propagation (all items will take less memory)
     - default function inlining limit reduced from 100 to 50
     - axis path rewritings, better typing (#1910, #1976, #1979)
     - better typing (#1906, #1908, #1909, #1944, #1945)
     - faster data()/string() checks (#1975)
     - rewrite map:merge to map:put (#1969)
     - rewrite order by to fn:sort (#1966)
     - rewrite group by to fn:distinct-values (#1932)
     - rewrite quantifiers to FLWOR expressions (#1961)
     - optimizations of arithmetic expressions (#1938, #1972)
     - optimizations of lookup operator (#1929, #1984)
     - optimizations of counts (#1965, #1973, #1974)
     - optimizations of regular lists (#1919, #1924)
     - optimizations of switch expression (#1920)
     - optimizations of instance of (#1939)
     - distinct values (#1930, #1967)
     - positional checks (#1937)
     - existence checks (#1971)

    VERSION 9.4.6 (January 7, 2021) ----------------------------------------

     - Performance tweaks, minor bug fixes

    VERSION 9.4.5 (November 24, 2020) --------------------------------------

     - Minor bug fixes

    VERSION 9.4.4 (November 6, 2020) ---------------------------------------

     - Performance tweaks, minor bug fixes

    VERSION 9.4.3 (September 11, 2020) -------------------------------------

     - New compile-time optimizations and performance tweaks

    VERSION 9.4.2 (August 21, 2020) ----------------------------------------

     - Performance tweaks, bug fixes

    VERSION 9.4.1 (July 26, 2020) ------------------------------------------

     - Minor bug fixes and performance tweaks

    VERSION 9.4 (July 14, 2020) --------------------------------------------

     WEB APPLICATIONS
     - DBA: support for millions of log entries
     - LOGTRACE option: write trace output to logs or STDERR
     - rest:init: Full or partial initialization of RESTXQ cache
     - basexhttp: register job services

     GUI
     - result view: show number of results and result size
     - Shift F4-F7: toggle search options (case, regeex, ..)

