=== debian/control ===
--- 
+++ 
@@ -3,12 +3,17 @@
 Priority: optional
 Maintainer: Alexander Holupirek <alex@holupirek.de>
 Uploaders: tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, default-jdk, maven-debian-helper (>= 1.5)
-Build-Depends-Indep: libmaven-exec-plugin-java 
-Standards-Version: 3.9.8
-Vcs-Git: git://github.com/BaseXdb/basex-dist.git
-Vcs-Browser: https://github.com/BaseXdb/basex-dist/tree/master/linux
+Build-Depends: debhelper-compat (= 13),
+ default-jdk,
+ javahelper,
+ libmaven-exec-plugin-java,
+ maven-debian-helper (>= 1.5),
+ maven-repo-helper,
+Standards-Version: 4.6.0
+Vcs-Git: https://salsa.debian.org/debian/basex.git
+Vcs-Browser: https://salsa.debian.org/debian/basex
 Homepage: http://basex.org
+Rules-Requires-Root: no
 
 Package: basex
 Architecture: all
@@ -28,4 +33,3 @@
   * basexserver  ....  BaseX XML Database Server.
   * basexclient  ....  BaseX XML Database Client.
  BaseX XML database and XPath/XQuery processor
-
