## basex 10.5

=== debian/changelog ===
basex (10.5-1) unstable; urgency=medium

  * New upstream release 10.5
    VERSION 10.5 (March 23, 2023) ------------------------------------------

     - new XQuery 4 features
     - numerous performance tweaks
     - minor bug fixes

    VERSION 10.4 (December 1, 2022) ----------------------------------------

     - minor bug fixes
     - DBA, settings: enable indentation
     - XQuery 4 preview features updated

    VERSION 10.3 (October 11, 2022) ----------------------------------------

     - better pooling of HTTP requests
     - new command-line option -W for indenting results
     - minor bug fixes

    VERSION 10.2 (September 28, 2022) --------------------------------------

     - new undocumented XQuery 4 preview features
     - optimization: better rewritings of positional tests
     - optimization: simplifying arithmetic expressions
     - optimization: consistent propagation of data reference
     - optimization: faster invocation of function items

    VERSION 10.1 (August 18, 2022) -----------------------------------------

     - Bug fix: HTTP Requests, sending headers
     - Bug fix: Storage handling of main-memory databases
     - Bug fix: GUI editor, double clicks
     - Bug fix: function items and mixed updates
     - undocumented XQuery 4 preview features

    VERSION 10.0 (August 1, 2022) ------------------------------------------

     STORAGE
     - Three resources types: XML, binary, XQuery Values
     - When importing XML, whitespaces are now preserved
     - Backups enhanced for general data (users, services, store)

     XQUERY
     - Multiple compilation steps for improved locking!
     - New Store Module: persistent main-memory key-value storage
     - Database Module: store values (db:put-value, db:get-value)
     - When serializing XML, indentation is now turned off

     GENERAL
     - GUI revised: HiDPI support, new icons, improved consistency
     - All HTTP requests based on new Java HTTP client
     - Universal catalog support, based on new XML Catalog API
     - Responses of standard REST API use default namespace
     - Default ports for web applications: 8984/8985 -> 8080/8081
     - Default admin password was removed

    VERSION 9.7.3 (June 30, 2022) ------------------------------------------

     - DBA: Improved support for database backups
     - Performance tweaks and bug fixes
     - BaseX 10 preview: Store Module (before: Caching Module)
     - BaseX 10 preview: Backup of general data (users, jobs, stores)
  * Added libansi1.jar as dependency.  Add lib to class path in startup
    scripts to enables CLI for "basex" and "basexclient" commands.

 -- Alexander Holupirek <alex@holupirek.de>  Mon, 20 Nov 2023 17:35:18 +0100
