=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libmaven-exec-plugin-java,
  maven-debian-helper (>= 1.5),
  maven-repo-helper,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/basex.git
 Vcs-Browser: https://salsa.debian.org/debian/basex
 Homepage: http://basex.org
@@ -18,7 +18,7 @@
 Package: basex
 Architecture: all
 Depends: ${misc:Depends}, ${maven:Depends}, java-wrappers, default-jre | java8-runtime
-Recommends: ${maven:OptionalDepends}, libjline2-java
+Recommends: ${maven:OptionalDepends}, libjline2-java, libjansi1.jar
 Suggests: libtagsoup-java, libxml-commons-resolver1.1-java, libjing-java
 Description: XML database and XPath/XQuery processor
  BaseX is a very fast and light-weight, yet powerful XML database and
