=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with maven-repo-helper --with javahelper
