=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/basex-$1\.tar\.gz/ \
  https://github.com/BaseXdb/basex/tags .*/v?(\d\S+)\.tar\.gz
